Bug 97846 - redhat-config-network detects modem at non-existent /dev/eth (should be /dev/ttyS1)
redhat-config-network detects modem at non-existent /dev/eth (should be /dev/...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-network (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-23 03:24 EDT by Barry K. Nathan
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-04 09:25:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of /usr/sbin/kudzu -p -c MODEM (419 bytes, text/plain)
2003-06-29 01:42 EDT, Barry K. Nathan
no flags Details

  None (edit)
Description Barry K. Nathan 2003-06-23 03:24:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030619

Description of problem:
redhat-config-network detects my modem at "/dev/eth". It's actually at /dev/ttyS1.

Version-Release number of selected component (if applicable):
initscripts-7.24-2.92
redhat-config-network-1.3.0-1

How reproducible:
Haven't tried. (Although, the pathname "/dev/eth" is giving me a strange sense
of deja vu; I'm wondering if I experienced this in the past and then forgot
about it.)

Steps to Reproduce:
1. Start redhat-config-network, with no PPP connections configured (and no modem
configured either, *I think*).
2. Let it autodetect the modem.
3. See what r-c-n detected as the device name for the modem...

Actual Results:  /dev/eth

Expected Results:  /dev/ttyS1

Additional info:
[root@i5000e root]# ls -l /dev/eth*
ls: /dev/eth*: No such file or directory

I'm using a D-Link combo Ethernet/modem card. There is also one serial port
inside this laptop (Dell Inspiron 5000e), but no built-in Ethernet or modem.
Comment 1 Harald Hoyer 2003-06-27 05:59:31 EDT
could you please give me the output of 
$ /usr/sbin/kudzu -p -c MODEM
??
Comment 2 Barry K. Nathan 2003-06-29 01:42:56 EDT
Created attachment 92673 [details]
output of /usr/sbin/kudzu -p -c MODEM

Note that kudzu on my system is now 1.1.8-1. It was something older when I
experienced this bug. I would see if I can reproduce this bug, except that bug
98251 is getting in the way right now...

Note You need to log in before you can comment on or make changes to this bug.